Subject: Re: bug#77313: 30.1.50; Regression: flymake indicators are erroneously using margins

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Apr 2025 18:54:42 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 08 Apr 2025 10:56:20 -0400
> 
> Spencer Baugh <[email-masked]> writes:
> > Eli Zaretskii <[email-masked]> writes:
> >
> >> I think we should also fall back on using margins if the fringes are
> >> disabled on GUI frames.
> >
> > Disabled how?  I don't see a way to disable the fringe.  Do you mean
> > when the fringe width is set to 0?  So are you suggesting we should call
> > window-fringes and check the width of the fringe we're going to use?  I
> > can do that, just want to confirm.
> 
> Assuming that's what you mean, here's the updated patch.

Yes, that's what I meant.

> >From 555ebfec9641d535778dfc6295f4accb70557721 Mon Sep 17 00:00:00 2001
> From: Spencer Baugh <[email-masked]>
> Date: Tue, 8 Apr 2025 08:43:37 -0400
> Subject: [PATCH] flymake: fall back to margins on text terminals
> 
> Previously, flymake-indicator-type defaulted to either fringes
> or margins.  But fringes should be used on graphical frames, and
> margins on TTY frames.  So default to fringes instead, and
> simply fall back to margins automatically on text frames.

The above needs to be updated to mention the disabled fringes.

> * lisp/progmodes/flymake.el (flymake-indicator-type): Set to
> fringes.  (bug#77313)
> (flymake-mode): Fallback to margins if there's no fringes.

This needs a NEWS entry, but other than that it LGTM.  Let's wait for
a couple of days to let others a chance to comment.

Thanks.